eoGeneralIntBounds(3)

NAME
eoGeneralIntBounds - A class that encapsulate all possible eoIntBounds.

SYNOPSIS

#include <eoIntBounds.h>

Inherits eoIntBounds.

  Public Member Functions
eoGeneralIntBounds (std::string _s='[-infinity,+infinity]')
Ctor: from a string, chooses the type of bound.
eoGeneralIntBounds (const eoGeneralIntBounds &_b)
Need a Cpy Ctor because we are allocating memory.
eoGeneralIntBounds & operator= (const eoGeneralIntBounds &_b)
~eoGeneralIntBounds ()
Need a Dtor because we allocate an actual bound.
virtual bool isBounded (void) const
Self-Test: true if ***both*** a min and a max.
virtual bool hasNoBoundAtAll (void) const
Self-Test: true if no min ***and*** no max hence no further need to test/truncate/fold anything.
virtual bool isMinBounded (void) const
Self-Test: bounded from below???
virtual bool isMaxBounded (void) const
Self-Test: bounded from above???
virtual bool isInBounds (double _x) const
Test on a value: is it in bounds?
virtual void foldsInBounds (double &_x) const
Put value back into bounds - by folding back and forth.
virtual void truncate (double &_x) const
Put value back into bounds - by truncating to a boundary value.
virtual long int minimum () const
get minimum value ::exception if does not exist
virtual long int maximum () const
get maximum value ::exception if does not exist
virtual long int range () const
get range ::exception if unbounded
virtual double uniform (eoRng &_rng=eo::rng) const
random generator of uniform doubles in bounds ::exception if unbounded
virtual long int random (eoRng &_rng=eo::rng) const
random generator of uniform ints in bounds ::exception if unbounded
virtual eoIntBounds * dup () const
for memory managements - ugly
const eoIntBounds & theBounds () const
for efficiency, it's better to use the embedded boud directly
virtual void printOn (std::ostream &_os) const
don't forget the printOn method - again that of the embedded bound
virtual void readFrom (std::istream &_is)
no readFrom ??? Have to check that later

  Private Member Functions
eoIntBounds * getBoundsFromString (std::string)
the constructor for eoGeneralIntBound - from a string

  Private Attributes
eoIntBounds * repBound

Detailed Description

A class that encapsulate all possible eoIntBounds. Mandatory in order to read through the parser

Definition at line 541 of file eoIntBounds.h.

Author

Generated automatically by Doxygen for EO from the source code.